/*
Theme Name: JPH Custom
Template: kadence
Description: jphouse custom styles
Author: kappa8086
Version: 1.0.0
*/

.vbo-horizsearch-humanformat-wrap .vbmodhorsearch-humcalcont label, .vbo-horizsearch-humanformat-wrap .vbmodhorsearch-hum-guests-wrap>label {display:none;}
.vbmodhorsearchbookdiv button {background-color:var(--global-palette-highlight); border-radius: 20px;}
.vbmodhorsearchmaindiv .vbo-horizsearch-showcalendar, .vbmodhorsearchmaindiv .vbmodhorsearch-hum-guests-wrap,
.vbmodhorsearchmaindiv .vbmodhorsearch-hum-guests-count {border-width: 0;position:relative;}
.vbmodhorsearchmaindiv .vbmodhorsearch-hum-dates-wrap .vbo-horizsearch-numnights-inner {border:none;}
.vbo-horizsearch-showcalendar:after, .vbmodhorsearch-hum-guests-wrap:after, .vbmodhorsearch-hum-guests-count:after {
    content: '';
    position: absolute;
    top: 50%;
    right:0;
    transform: translateY(-50%);
    width: 1px;
    height: 36px;
    background-color: var(--global-palette-highlight);
}
.widget_mod_vikbooking_horizontalsearch {margin-top: 0px; margin-bottom: 0px;}
.vbmodhorsearchmaindiv form div.vbmodhorsearchbookdiv {margin: auto;}
.vbmodhorsearchmaindiv.vbo-horizsearch-humanformat-wrap {color: var(--global-palette6);}
.vbmodhorsearchtotnights span {font-size: smaller;}
i.far.fa-calendar-days {color: var(--global-palette-highlight-alt);}
.vbmodhorsearch-hum-guests-count:before {
    content: "\f007";
    font-family: "Font Awesome 7 Free";
    display: inline-block;
    margin: 6px 10px 0 0;
    color: var(--global-palette-highlight-alt);
}
.wp-block-kadence-column.rounded .kt-inside-inner-col {border-radius: 10px; }
.wp-block-kadence-column.rounded-bubble .kt-inside-inner-col {border-radius: 30px; }

.vbo-searchresults-classic-wrap .room_result, .vbo-searchresults-classic-wrap .room_resultdiffusage,
.vblistcontainer.vblistcontainer-grid .room_result, .vblistcontainer.vblistcontainer-list .room_result {border-radius: 10px; }
.vbo-searchresults-classic-wrap .room_result img, .vbo-searchresults-classic-wrap .room_resultdiffusage img,
.vblistcontainer.vblistcontainer-list .room_result img {border-radius: 10px; width: 300px }
.vblistcontainer.vblistcontainer-grid .room_result img {border-radius: 10px 10px 0 0; }
.vblistcontainer.vblistcontainer-grid .room_result {background: var(--global-palette7); color: white; }
.vblistcontainer.vblistcontainer-grid .room_result .vbo-info-room a {color: white; }
.vblistroomcat {display:none;}
.room_result {background:var(--global-palette8)}
.room_result, .room_result h4, .room_result .vbliststartfrom {color:var(--global-palette3)}
.room_result .vblistroomblock {border-right: none;}
.room_result button.vbo-pref-color-btn {background-color:var(--global-palette-highlight); border-radius: 20px;}
.vbo-results-wrapper .room_result .vbimglistdiv {flex: 0 0 50%; }
.vbo-results-wrapper .room_result .vbo-dots-slider-selector {border-radius: 10px; width: 360px; margin: 10px; }
.vbo-results-wrapper .room_result .vbo-dots-slider-selector img {width: 360px; object-fit: cover; margin: 0; }
.vik-dots-slider-inner .vik-dots-slider-slide {background: transparent;}
.jphc-lang-switcher a:not(.button) {
    color:var(--global-palette4);
    background: white;
    display:inline-block;
    padding: 0 10px;
    border-radius: 20px;
    text-decoration:none;
    font-size: smaller;
}
.jphc-lang-switcher a:not(.button):hover {
    background:var(--global-palette1);
    color :white;
}
.jphc-lang-switcher a:not(.button).current-lang {background:var(--global-palette1);color:white;pointer-events: none;}
.main-navigation .primary-menu-container > ul > li.menu-item:not(:last-child) {position:relative;}
.main-navigation .primary-menu-container > ul > li.menu-item:not(:last-child):after {content: '';position: absolute;right: 0;top: 50%;transform: translateY(-50%);width: 1px;height: 60%;}

/*HOME*/

@media all and (min-width: 1200px) {
   body.home .kt-inside-inner-col h2 {font-size:64px !important}
   body.home .kt-inside-inner-col h5 {font-size:40px !important}
}
body.home  ul.vblist {padding-left: 0;}
body.home .vblistroomblock .vbo-info-room {max-height: 160px; overflow: clip;}
body.home .vblistcontainer-grid .vbselectordiv {display:none;}
body.home .vblist li .vbliststartfrom {color:white;}
body.home .vblistcontainer-grid .vbsrowpricediv {border-top: 1px solid #ffffff3d; margin-top: 8px;}
body.home .vblistcontainer-grid .vbrowroomcapacity {display:none;}
body.home article.entry.loop-entry {border-radius: 10px; box-shadow: 0px 10px 10px 5px rgba(0,0,0,0.05);}
body.home article.entry.loop-entry a {border-radius: 10px 10px 0 0; }
body.home .jphc-lang-switcher a:not(.button) {border:1px solid var(--global-palette1);}
body.home .main-navigation .primary-menu-container > ul > li.menu-item:not(:last-child):after {background: linear-gradient(0deg, transparent, var(--global-palette3), var(--global-palette3), transparent);}
/*INNER PAGE TOP*/
body:not(.home) .site-branding .site-title {color:white;}
body:not(.home) a.brand.has-logo-image img.custom-logo {filter: brightness(0) invert(1);}
body:not(.home) .site-main-header-wrap.site-header-row-container.site-header-row-layout-standard {background: var(--global-palette7);}
body:not(.home) .main-navigation .primary-menu-container > ul > li.menu-item > a {color: var(--global-palette9);}
body:not(.home) .main-navigation .primary-menu-container > ul > li.menu-item.current-menu-item > a {color: var(--global-palette9);}
body:not(.home) .main-navigation .primary-menu-container > ul > li.menu-item:not(:last-child):after {background: linear-gradient(0deg, transparent, var(--global-palette9), var(--global-palette9), transparent);}

/* -- LIST -- */
.rooms-full-list li.room_result a.vbo-pref-color-btn {background-color:var(--global-palette7); border-radius: 20px;}
.rooms-full-list .vblistroomblock .vbimglistdiv img.vblistimg {margin: 0;width:unset;}

/* -- DATING SEARCH -- */
.filters-sidebar-wrapper {
    position:absolute;
    width: 260px;
    min-height: 2000px;
    border-right: 1px lightblue solid;
}

.date-search-progress {
    margin-left: 280px;
    width: calc(100% - 280px);
}
.filters-sidebar ul {list-style:none;padding-left: 10px;}
.filters-sidebar ul li { margin-bottom: 4px; color: var(--global-palette3);}
.filters-sidebar ul li input {margin:0 8px 0 0;}
.filters-sidebar .filter-group {margin-bottom: 20px;}
.filter-group>label {font-weight:bold;color:var(--global-palette1);margin-bottom: 5px;display:inline-block;}
.vbo-results-wrapper.date-search-progress .vbo-results-without-geomap .vblistcontainer-grid .vbo-searchresults-party-content {grid-template-columns: repeat(2, minmax(0, 1fr)); }
.vbo-results-wrapper.date-search-progress .vblistcontainer-grid .room_result .vbimglistdiv {flex-basis: 100%; }
.vbo-results-wrapper.date-search-progress .vblistcontainer-grid .room_result .vbo-dots-slider-selector {width: 100%; }
.vbo-results-wrapper.date-search-progress .vblistcontainer-grid .vik-dots-slider-inner .vik-dots-slider-slide {justify-content: normal; }
.vbo-results-wrapper.date-search-progress .vblistcontainer-grid .room_result .vbo-dots-slider-selector img {width: calc(100% - 20px); }


/* -- DATING PRICE -- */
.vb_detcostroomdet .room_prices {border-radius: 20px; background-color: var(--global-palette8); }
.vb_detcostroomdet .room_prices h4 {border-radius: 20px 20px 0 0; background-color: var(--global-palette7); padding: 0 20px; color: white; }
.vb_detcostroomdet .room_prices .vbo-showprc-pricetable .vbo-showprc-price-entry {padding: 0 20px; border: none; }
.vb_detcostroomdet .room_prices .room_cost {color: var(--global-palette1); }
.vb_detcostroomdet .room_prices .btn.booknow {border-radius: 10px; min-width: 200px; margin: 0 auto 20px auto; display: block; }

.vbo-showprc-head-wrapper .rule-description:not(.payment) {border:1px var(--global-palette-btn-sec) solid; border-radius: 20px; padding: 5px 20px}
.vbo-showprc-head-wrapper .rule-description:not(.payment) table td {border:none; padding: 10px 0 10px 20px;}
.vbo-showprc-head-wrapper .rule-description:not(.payment) table tr td:first-child {font-weight:bold; padding: 10px 0 10px 30px;color:var(--global-palette5);}
.vbo-showprc-head-wrapper .rule-description:not(.payment) table tr td:last-child {color:var(--global-palette6);}
.vbo-showprc-head-wrapper .rule-description:not(.payment) table tr:not(:last-child) td { border-bottom: 1px var(--global-palette-btn-sec) solid;}
.vbo-showprc-head-wrapper .rule-description.payment {background-color:var(--global-palette7);border-radius: 20px; padding: 5px 20px}
.vbo-showprc-head-wrapper .rule-description.payment table td {border:none; padding: 10px 0 10px 20px;color:white;}
.vbo-showprc-head-wrapper .rule-description.payment table tr:first-child td {border-bottom: 1px white solid; font-weight: bold;}

/* -- GALLERY IN SHOWRPC -- */
.vbo-showprc-head-wrapper .vbo-listing-details-wrap .vikfx-gallery-fade-container img {max-height: 353px;}

